Saturday, September 08, 2012

Iceweasel is not Firefox(?)

Ok here's the deal. I wanted to install Firefox on my Debian machine. I downloaded Firefox directly from Mozilla.org. After tinkering around a bit, since there was an error message related to libstdc6++, I got it up and running for me. But I wanted to install for all users.

I understood that there is iceweasel and that it "is" Firefox, but to me they are different. For starters, current version of Iceweasel in my Debian is version 3.5 but the Firefox that I installed manually is version 15. They are just way far apart. Why is this? Isn't there anybody porting / compiling the latest version of Firefox for Debian?

The second thing, is that I use stylish (userstyles.org) a lot. It just wouldn't install on my Iceweasel. So, iceweasel is no good for me.

My conclusion ... iceweasel is not Firefox!

No comments: